import { SliderProps } from '@mui/material';
import './adminSlider-styles.scss';
export interface IAdminSliderProps extends SliderProps {
    /** label: is a required prop which dictates the label of the slider. */
    label?: string;
    /** helperText: optional prop to display additional helper text. */
    helperText?: string;
    /** error: boolean flag indicating whether there is an error. */
    error?: boolean;
    /** isRangeType: optional boolean flag indicating if the slider is a range slider. */
    isRangeType?: boolean;
}
declare const AdminSlider: (props: IAdminSliderProps) => import("react/jsx-runtime").JSX.Element;
export default AdminSlider;
