declare enum InputAdornmentPosition {
    End = "end",
    Start = "start"
}
declare enum InputPresets {
    Color = "color",
    Email = "email",
    Number = "number",
    Password = "password",
    Tel = "telephone",
    Text = "text",
    Url = "url"
}
declare enum DateFormatType {
    DateFormat = "DD MMM, YY",
    FullDateDashFormat = "DD-MM-YYYY",
    FullDateFormat = "DD MMM YYYY"
}
declare enum InputIconPosition {
    Left = "LEFT",
    Right = "RIGHT"
}
declare enum InputSizes {
    Medium = "medium",// this is small-case as mui components has pre-defined values
    Small = "small"
}
declare enum InputType {
    Number = "number",
    Password = "password",// this is small-case as mui components has pre-defined values
    Text = "text"
}
declare enum InputAutoCompleteType {
    ON = "on",
    OFF = "off"
}
declare enum NumberType {
    Float = "float",
    Integer = "integer"
}
export { DateFormatType, InputAdornmentPosition, InputAutoCompleteType, InputIconPosition, InputPresets, InputSizes, InputType, NumberType, };
