import React from 'react';
import './adminFooter-styles.scss';
interface IColumnData {
    label: string;
    linkTo: string;
    icon?: React.ReactNode;
}
interface IFooterProps {
    className?: string;
    companyName: string;
    data: IColumnData[][];
    logo: string;
    logoClassName?: string;
    socialLinks: IColumnData[];
}
declare const AdminFooter: ({ className, companyName, data, logo, logoClassName, socialLinks, }: IFooterProps) => import("react/jsx-runtime").JSX.Element;
export default AdminFooter;
