import { jsxs as _jsxs, jsx as _jsx } from "react/jsx-runtime";
import { Box, Container, Grid, Link, Typography } from '@mui/material';
import './adminFooter-styles.scss';
const AdminFooter = ({ className = '', companyName, data, logo, logoClassName = '', socialLinks, }) => {
    const renderSocialLinks = () => socialLinks.map(link => (_jsxs(Link, { href: link.linkTo, sx: { display: 'block', mb: 1 }, children: [link.icon, " ", link.label] }, link.label)));
    const renderData = () => {
        return data.map((columnData, index) => (_jsx(Grid, { item: true, xs: 12, md: 3, children: _jsx(Box, { children: columnData.map(item => (_jsxs(Link, { href: item.linkTo, sx: { display: 'block', mb: 1 }, children: [item.icon, " ", item.label] }, item.label))) }) }, `data-${index}`)));
    };
    return (_jsx(Box, { className: `adminFooter__container ${className}`, children: _jsx(Container, { maxWidth: "lg", children: _jsxs(Grid, { container: true, spacing: 2, children: [_jsxs(Grid, { item: true, xs: 12, md: 3, children: [_jsx("img", { src: logo, alt: companyName, className: logoClassName }), _jsx(Typography, { variant: "h6", component: "h3", mb: 2, children: companyName }), _jsx(Box, { children: renderSocialLinks() })] }), renderData()] }) }) }));
};
export default AdminFooter;
